%global owner pazz
%global commit 9abcc757db854cfe3024dc81d89dac66b960eade

Name:       alot
Version:    0.3.6
Release:    2%{?dist}
Summary:    An experimental terminal MUA based on notmuch mail

Group:      Applications/Internet
License:    GPLv3
URL:        https://github.com/%{owner}/%{name}
Source0:    https://github.com/%{owner}/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
Requires:       python-notmuch
Requires:       python-urwid
Requires:       python-twisted
Requires:       gpgme
Requires:       python-configobj
Requires:       python-magic

%description
alot makes use of existing solutions where possible: It does not fetch, send or
edit mails; it lets notmuch handle your mailindex and uses a toolkit to render
its display. You are responsible for automatic initial tagging.


%prep
%setup -qn %{name}-%{commit}


%build
%{__python2} setup.py build
pushd docs
make %{?_smp_mflags} man
popd


%install
%{__python2} setup.py install --skip-build --root %{buildroot}
pushd docs
mkdir -p %{buildroot}%{_mandir}/man1/
install -p -m 0644 build/man/alot.1* %{buildroot}%{_mandir}/man1/
popd
# remove examples of using urwidtrees
rm %{buildroot}%{python2_sitelib}/alot/foreign/urwidtrees/example*


%files
%{python2_sitelib}/alot/*
%{python2_sitelib}/alot-%{version}-*.egg-info
%doc NEWS
%doc COPYING
%doc README.md
%{_bindir}/alot
%{_mandir}/man1/alot*


%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 12 2014 Tomas Tomecek <ttomecek@redhat.com> - 0.3.6-1
- initial package

